ARG DOCKER_REGISTRY
ARG EVOTING_VERSION
FROM ${DOCKER_REGISTRY}e-voting/base-apache:${EVOTING_VERSION}

ARG SECOND_FACTOR
RUN mkdir -p ./htdocs/vote/
COPY ./target/dist/ ./htdocs/vote/

HEALTHCHECK --timeout=3s --retries=4 CMD curl --noproxy localhost -f http://localhost:${APACHE_HTTP_PORT}/vote/ || exit 1
